<?php

namespace Bixo\Organization\Actions;

use Illuminate\Http\Request;
use Bixo\Organization\Models\Organization;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class OrganizationReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Organization::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
