<?php

namespace Bixo\Organization\Forms;

use Litepie\Form\FormInterpreter;

class User extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = config('bixo.organization.user.urls');

        self::$search = config('bixo.organization.user.search');

        self::$orderBy = config('bixo.organization.user.order');

        self::$groups =  config('bixo.organization.user.groups');

        self::$list =  config('bixo.organization.user.list');

        self::$fields = config('bixo.organization.user.form');

        return new static();
    }
}
